---
layout: default
title: Assignments
description: Course assignments
warning: draft
---

* TOC
{:toc}

You can track your assignments through our [Canvas portal]({{site.canvas}}). Please check submission formats for each assignment. Please contact the course staff when in doubt.

Reminder, our class discussion happens using the class [discussion board]({{site.piazza}}) should you have any
questions or run into issue, please contact the course staff.


# Assignments 


| Link to Assignment                                                           | Turn in Link                                          | Due Date  |
|------------------------------------------------------------------------------|-------------------------------------------------------|-----------|
| HW1: [Finding AT around us](finding-accessibility.html)                      | [Canvas HW1]({{site.canvas}}/assignments/8443510)     | 10/3      |
| HW2: [Disability Justice](disabilityjustice.html)                            | [Canvas HW2]({{site.canvas}}/assignments/8443521)     | 10/9      |
| HW3: [Web/App Access UARS](website.html)                                     | [Canvas HW3]({{site.canvas}}/assignments/8443528)     | 10/16     |
| HW4: [Web/App Access Report](website-report.html)                            | [Canvas HW4]({{site.canvas}}/assignments/8712208)     | 10/30     |
| ~~HW5: [Post GUI Accessibility](technology-review.html)~~                    | ~~[Canvas HW5]({{site.canvas}}/assignments/8712482)~~ | ~~10/30~~ |
| HW6: [Post GUI Accessibility Implementation](technology-implementation.html) | [Canvas HW6]({{site.canvas}}/assignments/8712492)     | 11/6      |
| HW7: [Final Project Proposal](project-proposals.html)                        | TBD                                                   | 11/13       |
| HW8: [Final Project Checkpoint](project-checkpoint.html)                     | TBD                                                   | 11/20       |
| HW9: [Final Project Presentation](project-final.html)                        | TBD                                                   | 12/12       |

# Regrades
Regrades are done per competency, not per assignment. All regrade requests must be submitted at least a week ahead of the last class of the quarter. Please check with your TA about what exactly is required for a regrade for any given competency. 

# Competencies 

Assignment grading will be broken into two parts, as described in the [syllabus]({{site.baseurl}}/index.html). The first part will be participation, which adds up to 10% of your grade. The second part will be broken into competencies. Some of these are assessed only once, some multiple times. We have broken these into categories as described below. In addition, everything you submit in this class has to have inclusive language and include accessible documents. 

Your grade in the class will be based on whether you achieve *non
competent*, *competent* or *excellent* in each of these topics,
averaged over all the times that you are assessed.

## Disability Awareness and Justice

| Competency                                             | Assessed in Which Assignment?                           |
|--------------------------------------------------------|---------------------------------------------------------|
| Disability Justice                                     | HW2, Final Project                                      |
| Finding First Person Accounts of Disability Technology | HW1, Final Project                                      |
| Familiarity with a Range of Accessibility technologies | HW1, HW5 (by choice)                                   |
| Presenting Accessibly                                  | HW1, Final Project                                      |

## Accessibility Compliance

| Competency                                            | Assessed in Which Assignment?                           |
|-------------------------------------------------------|---------------------------------------------------------|
| Accessibility Problem Fixes                           | HW4, Final Project (by choice)                         |
| Accessibility Technology Based Accessibility Checking | HW3, Final Project (required)                          |
| Automated Accessibility Checking                      | HW3, Final Project (by choice)                         |
| Correct use of Web/App Accessibility Rules            | HW4, Final Project (by choice)                         |

## Accessible Media

| Competency                      | Assessed in Which Assignment?   |
|---------------------------------|---------------------------------|
| Accessible Presentation Creation | HW1, Final Project              |
| Image Description               | HW1, HW3, Hw5, Final Project  |
| Accessible Website/App Creation | HW6, Final Project (required)  |
| Plain Language Writing                                | HW2, HW5 (by choice), Any Reading response (by choice) |






