---
layout: assignment
published: draft

title: Accessibility Implementation
description: Learn about accessibility implementation
code: hw6

assigned: November 1, 2023
due: 
   - November 6, 2023
   - Two day grace period, November 8, 2023
  
revised: October 17, 2023

---

* TOC
{:toc}

# Overview
The goal of this homework is to build something that is accessible. Specifically, you should create a *more accessible version* of a user interface you've already made for a class or for fun.

## Learning Goals / Competencies
This homework may contribute to your competency grade on 
- Accessible written document creation
- Can use an accessibility technology to find web page or app accessibility problems
- Demonstrate familiarity with a range of accessibility technologies (at least 1)
- Can articulate (and implement) addressing accessibility problems
- Your participation grade, as a percentage of:
 - completeness (are all the required parts present)
 - consistency: are you applying the skills you've learned so far consistently as relevant

## Length and Difficulty
This is a new assignment, so we are still figuring this out! Please bear with us and  reach out if you have trobule!

# Details
To complete this assignment, please do the following

## 1. Select a specific app or website that you will make more accessible
You should identify a technology you have implemented *for general use* (i.e. not an accessibility technology). Ideally this should be an interactive technology (some kind of user interface, app, etc). If you have no such thing, you can ask us about using a website or other static content that you have generated as an alternative. 

{% details Possible technologies (this list is still unders construction) %}
- An educational game for young children 
- A tools for learning programming 
- A visualization
- A password or CAPTCH interface
- VR/AR: A game or game control interface. 
- A mobile app (e.g. final project for 340)
- A web app
- An interface wrapped around some machine learning program
- A class assignment that has an interface
{% enddetails %}

Also be clear about what task you want to accomplish. You should get us to approve both the website and the task (please do this during our discusson on Friday, and post something to the Ed discussion for this assignment to get approval). 

## 2. Select an accessibility technology and test your app with it

Be clear about which accessibility aid (such a screen reader, magnifier or single switch input)	*or* which perceptual concern (such as color blindness) your modifications are addressing.

Test out your app and identify any problems with completing that task. Write them up as UARS. 

## 3. Fix the problem and record a video showing the improvement

Once you have identified problems, it is time to fix them. The expectations here will depend partly on the details of the task you select (which must be instructor approved) but it needs to include at least two different areas of POUR (i.e. address issues with both percievability and operability) or otherwise demonstrate that you have not done something overly simple.

Find someone else in the class, and demonstrate for them the original version of the website or app using your selected accessibility technology and task, explaining the problems that you documented in your UARs. Then show them the improved version, again using your selected accessibility technology and task. Have them send an email to us attesting telling us that you showed this to them and describing briefly what you fixed. 

## 3. Turn in the following information for us-
- Your classmate's email (they should send it directly to us at: {{site.staff_email}})
- An accessible 1 page document  stating
  - What app or website did you pick and what is it's main purpose
  - What task you picked
  - What you had to do to make the  app or website more accessible 
  - What was hardest about this assignment
  - Your document should be accessible, including using headers for each section, and images to illustrate your text.
- Your UARs

Note: **do not submit a PDF**. We expect your submission to be a Word or Google Doc.

